<!DOCTYPE html>
<html lang="en">
<link rel = "stylesheet" href = "style.css">
<head>

    <link rel="stylesheet" type="text/css" href="style.css" media="all">
     <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Здорово и Вечно</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="style.css" media="all">
    <script defer>/*function click0(){
let str = document.getElementsByName("field_cost")[0].value;
 let r = document.getElementById("result");
 if (str.match(/^\d+$/) ===null) {
    let r = document.getElementById("result");
    r.innerHTML=("Incorrect data!");
 return 0;
 }
let str1 = document.getElementsByName("field_capacity")[0].value;
 m = str1.match(/^\d+$/);
 if (m === null) {
    let r = document.getElementById("result");
    r.innerHTML=("Incorrect data!");
 return 0;
 }
    r.innerHTML=("Результат: "+str * str1); 
    return false;
 

}
window.addEventListener('DOMContentLoaded', function(event) {
    console.log("DOM fully loaded and parsed");
    let h = document.getElementById("button");
    h.addEventListener("click", click0);
});*/


function getPrice(){
    var obs={
        disks:{base:3000},
        Shirt:{
            base:1000,
            radios:{
                rad1:100,
                rad2:150,
                rad3:200
            }
        },
        W_C:{
            base: 5000,
            radios:{
                rad1:700,
                rad2:50,
                rad3:5
            }
        },
        boots:{
            base:4500,
            check_opt:101
        }
    };

    let res=document.getElementById("res");let amount=document.getElementById("amount");let select=document.getElementById("selecter");
 let radio=document.getElementsByName("myradio"); let s_radio = 0;
    if (radio[0].checked){
        s_radio=obs.Shirt.radios.rad1;
    }
    if (radio[1].checked){
        s_radio=obs.Shirt.radios.rad2;
    }
    if (radio[2].checked){
        s_radio=obs.Shirt.radios.rad3;
    }

    let abil1=document.getElementsByName("myradio1");let s_abil = 0;
    if (abil1[0].checked){
        s_abil +=obs.W_C.radios.rad1;
    }
    let abil2=document.getElementsByName("myradio2");
    if (abil2[0].checked){
        s_abil +=obs.W_C.radios.rad2;
    }
    let abil3=document.getElementsByName("myradio3");
    if (abil3[0].checked){
        s_abil +=obs.W_C.radios.rad3;
    }

    let checker=document.getElementById("calc");let s_check = 0;
    if(checker.checked){
        s_check=obs.boots.check_opt;
    }

    if (select.value === "1") {
        res.innerHTML=amount.value*(obs.Shirt.base+s_radio);
    }
    else if (select.value === "2"){
        res.innerHTML=amount.value*obs.W_C.base+s_abil;
    }
    else if (select.value === "3"){
        res.innerHTML=amount.value*obs.boots.base+s_check;
    }
    else if (select.value === "4"){
        res.innerHTML=amount.value*obs.disks.base;
    }
}



window.addEventListener("DOMContentLoaded", function(event){
    let a=document.getElementById("calculator");
    a.addEventListener("change", function(event){
        let b=document.getElementById("res"); b.innerHTML=0;
        let amount=document.getElementById("amount");let select=document.getElementById("selecter");
        let radio=document.getElementById("radios");
        let abil=document.getElementById("abilities");let checker=document.getElementById("checker");
        if (amount.value === ""){
            radio.style.display="none";
            checker.style.display="none";
            abil.style.display="none";
            select.style.display="disabled selected value";
            b.innerHTML=0;
        } else if (!(/^\d+$/).test(amount.value)){
            alert("Введите корректное значение!");
            amount.value="";
            radio.style.display="none";
            checker.style.display="none";
            abil.style.display="none";
            select.style.display="disabled selected value";
            b.innerHTML=0;
        } else {
            if (select.value==="4"){
            radio.style.display="none";
            checker.style.display="none";
            abil.style.display="none";
            } 
            else if (select.value==="1"){
            radio.style.display="block";
            checker.style.display="none";
            abil.style.display="none";
            }
            else if (select.value==="2"){
            radio.style.display="none";
            checker.style.display="none";
            abil.style.display="block";    
            }
            else if (select.value==="3"){
             radio.style.display="none";
            checker.style.display="block";
            abil.style.display="none";
            }
            getPrice(select.value);
        }
    });
});

</script>  



	<title>d.golovatskiy web2</title>
</head>

    
<body link="#66a1d2" vlink="b252a1" alink="dcd5d5">

<header class="container-fluid">
        <div class="container px-0 text-center">
            <img id="logo" class="float-left logo1 m-2" src="https://i.pinimg.com/originals/57/bc/cd/57bccd2b27db24e5dd2790de67a30af0.jpg" alt="logo">
            <span style="font-size: 30px">Ушел в тайгу...</span>
        </div>
    </header>



 <nav class="container navbar my-3 ss3 text-center">
        <div class="col-md-12 col-lg-3">
            <a class="nav-link" href="#List">List</a>
        </div>
        <div class="col-md-12 col-lg-3">
            <a class="nav-link"  href="#Table">Table</a>
        </div>
        <div class="col-md-12 col-lg-3">
            <a class="nav-link" href="#Footer">Footer</a>
        </div>
        
    </nav>
 <div>
        <main>
            <div class="d-flex flex-column">
                <div class="container ss3 p-1 mb-3 order-0 order-md-0" id = "List">
                    <ol>
        <li><a href="http://example.com/">Абсолютная гиперссылка на главную страницу example.com</a></li>
        <li><a href="https://example.com/">Абсолютная гиперссылка на главную страницу example.com в протоколе https</a></li>
        <li><a href="ftp://ftp.rasla.ru/Pictures/Universe/PIA03606.jpg" target="_blank">Ссылка на сервер FTP без авторизации</a></li>
        <li><a href="ftp://ftp.biysk.ru/">Ссылка на сервер FTP с авторизацией</a></li>
        <li><a href="https://ru.wikipedia.org/wiki/Гражданская_оборона_(группа)#Top">Ссылка на фрагмент некоторой страницы</a></li>
        <li><a href="#floor">Ссылка на фрагмент текущей страницы</a></li>
        <li><a href="https://www.google.com/search?q=панк+рок&oq=панк+рок">Ссылка с двумя параметрами URL</a></li>
        <li>Навигаций по КубГу
            <br >
            <ul>
                <li><a href="https://www.kubsu.ru/ru/university">Университет</a></li>
                <li><a href="https://www.kubsu.ru/ru/education">Образование</a></li>
                <li><a href="https://www.kubsu.ru/ru/science">Наука и инновации</a></li>
                <li><a href="https://www.kubsu.ru/ru/abiturient">Абитуриентам</a></li>
                <li><a href="https://www.kubsu.ru/ru/studlife">Студент</a></li>
            </ul>
        </li>
        <li><a>Ссылка без href</a></li>
        <li><a href="">Ссылка с пустым href</a></li>
        <li><a href="https://www.yamaha.com/" rel="nofollow">Ссылка, по которой запрешён переход поисковикам</a></li>
        <li><a href="https://www.yamaha.com/"><!--noindex-->Ссылка, запрещённая для индексации поисковиками<!--/noindex--></a></li>
        <li>
            <p>
                <a href="https://ru.wikipedia.org/wiki/Gibson_Les_Paul">Gibson Les Paul-</a> первая электрогитара с цельным корпусом от компании Gibson, один из символов рок-музыки и одна из самых долгоживущих и популярных моделей музыкальных инструментов в мире. Модель была разработана в начале 1950 года Тедом Маккарти совместно с гитаристом Лесом Полом. Первый Gibson Les Paul был продан в 1952 году. Les Paul — одна из самых известных и часто копируемых различными производителями электрогитар в мире, наряду со Stratocaster и Telecaster.
            </p>
        </li>
        <li>
            <a href="https://www.youtube.com/watch?v=fSkVnuAwAH0&feature=emb_logo" >
                <img img class="w-75 h-50" src="https://i.ytimg.com/vi/1VFrxB4j7F0/maxresdefault.jpg" alt="ГО-Против(1988)" width="300px" >
            </a>
        </li>
        <li>
            <map name="memes">
                <area coords="146,202,533,642"  shape="rect" href="https://kubsu.ru/ru/econ" alt="kubsu">
                <area coords="610,410,224" shape="circle" href="https://kubsu.ru/ru/fktipm" alt="kubsu">
            </map>
            <img img class="w-75 h-50" src="https://i.imgflip.com/3umnr3.jpg" alt="memes" usemap="#memes" width="330px" >
        </li>
        <li><a href="./index.html">Ссылка в текущем каталоге</a></li>
        <li><a href="./about/index.html">Ссылка в каталоге about</a></li>
        <li><a href="../index.html">Ссылка в каталоге на 1 уровень выше</a></li>
        <li><a href="../../index.html">Ссылка на 2 уровня выше</a></li>
        <li><a href="/">Сокращённая ссылка на главную</a></li>
        <li><a href="/web1">Сокращённая ссылка на внутреннюю</a></li>
    </ol>
                </div>
            </div>
            <div class="container ss3 p-1 mb-3 order-0 order-md-0 text-center">
                <div class="fields">
                    <br>
               
                <form name="form" method="POST" id="floor">
                    <label>
                        Имя:
                        <br>
                        <input type="text" name="field_name" placeholder="Введите ваше имя"> 
                    </label>
                    <br>
                    <label>
                        E-mail:
                        <br>
                        <input type="email" name="field_email" placeholder="example@mail.com">
                    </label>
                    <br>
                    <label>
                        Дата рождения:
                        <br>
                        <input type="date" name="field_date" value="1900-01-01">
                    </label>
                    <br>
                        Выберите пол:
                    <br>
                    <label>
                        <input type="radio" name="radiobutton1">
                        Мужской
                    </label>
                    <label>
                        <input type="radio" name="radiobutton1">
                        Женский
                    </label>
                    <br>
                        Количество конечностей:
                    <br>
                    <label>
                        <input type="radio" name="radiobutton2">
                        0
                    </label>
                    <label>
                        <input type="radio" name="radiobutton2">
                        1
                    </label>
                    <label>
                        <input type="radio" name="radiobutton2">
                        2
                    </label>
                    <label>
                        <input type="radio" name="radiobutton2">
                        3
                    </label>
                    <label>
                        <input type="radio" name="radiobutton2">
                        4
                    </label>
                    <br>
                    <label>
                        Сверхспособности:
                        <br>
                        <select multiple="multiple">
                            <option>Бессмертие</option>
                            <option>Левитация</option>
                            <option>Прохождение сквозь стены</option>
                        </select>
                    </label>
                    <br>
                    <label>
                        Биография
                        <br>
                        <textarea placeholder="Расскажите о себе"></textarea>
                    </label>
                    <br>
                    <label>
                        С контрактом ознакомлен
                        <input type="checkbox" id="field_checkbox">
                    </label>
                    <br>
                    <input type="button" value="Отправить">
                </form>
                </div>
            </div>

            <div class="d-flex flex-column">
                <div class="container ss3 p-1 mb-3 order-2 order-md-1">
                    <p class="text-center font-weight-bold">Таблица</p>
                    <table class="table table-responsive-sm mx-auto px-0 text-center" id = "Table">
                      
                    <thead>
                        <tr>
                            <th>Заголовок1</th>
                            <th>Заголовок2</th>
                            <th>Заголовок3</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr >
                            <td>1-1</td>
                            <td>1-2</td>
                            <td>1-3</td>
                        </tr>
                        <tr >
                            <td colspan="2">2-1</td>
                           
                            <td>2-2</td>
                            
                        </tr>
                        <tr >
                            <td>3-1</td>
                            <td rowspan="2">3-2</td>
                            <td>3-3</td>
                        </tr>
                        <tr >
                            <td>4-1</td>
                            <td>4-2</td>
                        </tr>
                        <tr >
                            <td>5-1</td>
                            <td colspan="2">5-2</td>
                        </tr>
                    </tbody>
                </table>
                   
                </div>
            </div>

            <div class="d-flex flex-column">
                <div class="container ss3 mb-3 p-3 order-2 order-md-3 text-center">
                    
               
                
                    <p class="text-center font-weight-bold">Калькулятор панк-атрибутики</p>
                     <div id="calculator">
                          <div>
                            <input id="amount" type="text" placeholder="Количество:">
                            <br>
                            <select id="selecter">
                              <option disabled selected value>Тип</option>
                              <option value="1">Футболка с принтом</option>
                              <option value="2">Кожанная куртка</option>
                              <option value="3">Ботинки</option>
                              <option value="4">Набор классического винила</option>
                            </select>
                          </div>
                          <div class ="row d-flex col-12 mt-2">
                          <div id="radios">
                            <label><input type="radio" name="myradio" value="v1">Анархический крест</label>
                            <label><input type="radio" checked name="myradio" value="v2">Тлеющая сигарета</label>
                            <label><input type="radio" name="myradio" value="v3">Любимый исполнитель</label>
                          </div>
                          <div id="abilities">
                            <label><input type="radio" name="myradio1" value="vs1">Набор для ухода</label>
                            <label><input type="radio" name="myradio2" value="vs2">Значки</label>
                            <label><input type="radio" name="myradio3" value="vs3">Скрепки</label>
                          </div>
                          <div id="checker">
                            <label for="calc"><input type="checkbox" id="calc" value=""><span></span>Жидкость сомнительного происхождения</label>
                          </div>
                        </div>
                          <div>
                            Итог: <span id="res">0</span> руб.
                          </div>
                        </div>
                        <br>

                    
                </form>
            </div>

        </main>
    </div>
   

   <footer class="container-fluid flex-wrap align-content-center text-center" id = "Footer">
        <p class="pt-5">Егор Дохлый(C) 2020</p>
    </footer>
</body>
</html>